<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/qxtglobalshortcut_mac.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d18178d2ea326c53ebbe8cdc4c7ebc8a.html">qxtglobalshortcut5</a></li><li class="navelem"><a class="el" href="dir_1691cf73dec13ede6b5775ad7051671e.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">qxtglobalshortcut_mac.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="qxtglobalshortcut__mac_8cpp.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &lt;Carbon/Carbon.h&gt;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">/****************************************************************************</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">** Copyright (c) 2006 - 2011, the LibQxt project.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">** See the Qxt AUTHORS file for a list of authors and copyright holders.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">** All rights reserved.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">** Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">** modification, are permitted provided that the following conditions are met:</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">**     * Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">**     * Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">**       documentation and/or other materials provided with the distribution.</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">**     * Neither the name of the LibQxt project nor the</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">**       names of its contributors may be used to endorse or promote products</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">**       derived from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">** ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">** DISCLAIMED. IN NO EVENT SHALL &lt;COPYRIGHT HOLDER&gt; BE LIABLE FOR ANY</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment">** ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">** &lt;http://libqxt.org&gt;  &lt;foundation@libqxt.org&gt;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">*****************************************************************************/</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="qxtglobalshortcut__p_8h.html">qxtglobalshortcut_p.h</a>&quot;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;QMap&gt;</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;QHash&gt;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;QtDebug&gt;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;QApplication&gt;</span></div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">   37</a></span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">typedef</span> QPair&lt;uint, uint&gt; <a class="code" href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">Identifier</a>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">static</span> QMap&lt;quint32, EventHotKeyRef&gt; keyRefs;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">static</span> QHash&lt;Identifier, quint32&gt; keyIDs;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">static</span> quint32 hotKeySerial = 0;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">static</span> <span class="keywordtype">bool</span> qxt_mac_handler_installed = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="qxtglobalshortcut__mac_8cpp.html#a3a3b4947ba32ff05d24c310477784013">   43</a></span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;OSStatus <a class="code" href="qxtglobalshortcut__mac_8cpp.html#a3a3b4947ba32ff05d24c310477784013">qxt_mac_handle_hot_key</a>(EventHandlerCallRef nextHandler, EventRef event, <span class="keywordtype">void</span>* data)</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;{</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    Q_UNUSED(nextHandler);</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    Q_UNUSED(data);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordflow">if</span> (GetEventClass(event) == kEventClassKeyboard &amp;&amp; GetEventKind(event) == kEventHotKeyPressed)</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    {</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        EventHotKeyID keyID;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        GetEventParameter(event, kEventParamDirectObject, typeEventHotKeyID, NULL, <span class="keyword">sizeof</span>(keyID), NULL, &amp;keyID);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <a class="code" href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">Identifier</a> <span class="keywordtype">id</span> = keyIDs.key(keyID.id);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <a class="code" href="classQxtGlobalShortcutPrivate.html#aa9322fac1f86bbbb0ba82a1a150bc0a0">QxtGlobalShortcutPrivate::activateShortcut</a>(<span class="keywordtype">id</span>.second, <span class="keywordtype">id</span>.first);</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    }</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordflow">return</span> noErr;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;}</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcutPrivate.html#a9863b3f94a64fcb13bbdcf2853cd1bcd">   57</a></span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;quint32 <a class="code" href="classQxtGlobalShortcutPrivate.html#a9863b3f94a64fcb13bbdcf2853cd1bcd">QxtGlobalShortcutPrivate::nativeModifiers</a>(Qt::KeyboardModifiers modifiers)</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;{</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    quint32 native = 0;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordflow">if</span> (modifiers &amp; Qt::ShiftModifier)</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        native |= shiftKey;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">if</span> (modifiers &amp; Qt::ControlModifier)</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        native |= cmdKey;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordflow">if</span> (modifiers &amp; Qt::AltModifier)</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        native |= optionKey;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordflow">if</span> (modifiers &amp; Qt::MetaModifier)</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        native |= controlKey;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordflow">if</span> (modifiers &amp; Qt::KeypadModifier)</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        native |= kEventKeyModifierNumLockMask;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordflow">return</span> native;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;}</div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcutPrivate.html#acc38b238906f0158ebab1dd87791460e">   73</a></span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;quint32 <a class="code" href="classQxtGlobalShortcutPrivate.html#acc38b238906f0158ebab1dd87791460e">QxtGlobalShortcutPrivate::nativeKeycode</a>(Qt::Key key)</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;{</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    UTF16Char ch;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="comment">// Constants found in NSEvent.h from AppKit.framework</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordflow">switch</span> (<a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a>)</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    {</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Return:</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        <span class="keywordflow">return</span> kVK_Return;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Enter:</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keywordflow">return</span> kVK_ANSI_KeypadEnter;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Tab:</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keywordflow">return</span> kVK_Tab;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Space:</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="keywordflow">return</span> kVK_Space;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Backspace:</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keywordflow">return</span> kVK_Delete;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Control:</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        <span class="keywordflow">return</span> kVK_Command;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Shift:</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        <span class="keywordflow">return</span> kVK_Shift;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordflow">case</span> Qt::Key_CapsLock:</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        <span class="keywordflow">return</span> kVK_CapsLock;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Option:</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <span class="keywordflow">return</span> kVK_Option;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Meta:</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <span class="keywordflow">return</span> kVK_Control;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F17:</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        <span class="keywordflow">return</span> kVK_F17;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordflow">case</span> Qt::Key_VolumeUp:</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <span class="keywordflow">return</span> kVK_VolumeUp;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordflow">case</span> Qt::Key_VolumeDown:</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <span class="keywordflow">return</span> kVK_VolumeDown;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F18:</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keywordflow">return</span> kVK_F18;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F19:</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        <span class="keywordflow">return</span> kVK_F19;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F20:</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        <span class="keywordflow">return</span> kVK_F20;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F5:</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        <span class="keywordflow">return</span> kVK_F5;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F6:</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <span class="keywordflow">return</span> kVK_F6;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F7:</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        <span class="keywordflow">return</span> kVK_F7;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F3:</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        <span class="keywordflow">return</span> kVK_F3;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F8:</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keywordflow">return</span> kVK_F8;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F9:</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        <span class="keywordflow">return</span> kVK_F9;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F11:</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        <span class="keywordflow">return</span> kVK_F11;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F13:</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        <span class="keywordflow">return</span> kVK_F13;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F16:</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        <span class="keywordflow">return</span> kVK_F16;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F14:</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        <span class="keywordflow">return</span> kVK_F14;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F10:</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        <span class="keywordflow">return</span> kVK_F10;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F12:</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keywordflow">return</span> kVK_F12;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F15:</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        <span class="keywordflow">return</span> kVK_F15;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Help:</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keywordflow">return</span> kVK_Help;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Home:</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keywordflow">return</span> kVK_Home;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <span class="keywordflow">case</span> Qt::Key_PageUp:</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        <span class="keywordflow">return</span> kVK_PageUp;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Delete:</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        <span class="keywordflow">return</span> kVK_ForwardDelete;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F4:</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        <span class="keywordflow">return</span> kVK_F4;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keywordflow">case</span> Qt::Key_End:</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        <span class="keywordflow">return</span> kVK_End;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F2:</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        <span class="keywordflow">return</span> kVK_F2;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    <span class="keywordflow">case</span> Qt::Key_PageDown:</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;        <span class="keywordflow">return</span> kVK_PageDown;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keywordflow">case</span> Qt::Key_F1:</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        <span class="keywordflow">return</span> kVK_F1;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Left:</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        <span class="keywordflow">return</span> kVK_LeftArrow;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Right:</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        <span class="keywordflow">return</span> kVK_RightArrow;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Down:</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        <span class="keywordflow">return</span> kVK_DownArrow;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="keywordflow">case</span> Qt::Key_Up:</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        <span class="keywordflow">return</span> kVK_UpArrow;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    <span class="keywordflow">default</span>:</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        ;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    }</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160; </div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a> == Qt::Key_Escape)  ch = 27;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a> == Qt::Key_Return) ch = 13;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a> == Qt::Key_Enter) ch = 3;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a> == Qt::Key_Tab) ch = 9;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <span class="keywordflow">else</span> ch = <a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a>;</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160; </div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    CFDataRef currentLayoutData;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;    TISInputSourceRef currentKeyboard = TISCopyCurrentKeyboardInputSource();</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160; </div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    <span class="keywordflow">if</span> (currentKeyboard == NULL)</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160; </div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    currentLayoutData = (CFDataRef)TISGetInputSourceProperty(currentKeyboard, kTISPropertyUnicodeKeyLayoutData);</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    CFRelease(currentKeyboard);</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    <span class="keywordflow">if</span> (currentLayoutData == NULL)</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160; </div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    UCKeyboardLayout* header = (UCKeyboardLayout*)CFDataGetBytePtr(currentLayoutData);</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    UCKeyboardTypeHeader* table = header-&gt;keyboardTypeList;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160; </div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    uint8_t *data = (uint8_t*)header;</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    <span class="comment">// God, would a little documentation for this shit kill you...</span></div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="keywordflow">for</span> (quint32 i=0; i &lt; header-&gt;keyboardTypeCount; i++)</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    {</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;        UCKeyStateRecordsIndex* stateRec = 0;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;        <span class="keywordflow">if</span> (table[i].keyStateRecordsIndexOffset != 0)</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;        {</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;            stateRec = reinterpret_cast&lt;UCKeyStateRecordsIndex*&gt;(data + table[i].keyStateRecordsIndexOffset);</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;            <span class="keywordflow">if</span> (stateRec-&gt;keyStateRecordsIndexFormat != kUCKeyStateRecordsIndexFormat) stateRec = 0;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;        }</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160; </div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;        UCKeyToCharTableIndex* charTable = reinterpret_cast&lt;UCKeyToCharTableIndex*&gt;(data + table[i].keyToCharTableIndexOffset);</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;        <span class="keywordflow">if</span> (charTable-&gt;keyToCharTableIndexFormat != kUCKeyToCharTableIndexFormat) <span class="keywordflow">continue</span>;</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160; </div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;        <span class="keywordflow">for</span> (quint32 j=0; j &lt; charTable-&gt;keyToCharTableCount; j++)</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;        {</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;            UCKeyOutput* keyToChar = reinterpret_cast&lt;UCKeyOutput*&gt;(data + charTable-&gt;keyToCharTableOffsets[j]);</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;            <span class="keywordflow">for</span> (quint32 k=0; k &lt; charTable-&gt;keyToCharTableSize; k++)</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;            {</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;                <span class="keywordflow">if</span> (keyToChar[k] &amp; kUCKeyOutputTestForIndexMask)</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;                {</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;                    <span class="keywordtype">long</span> idx = keyToChar[k] &amp; kUCKeyOutputGetIndexMask;</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;                    <span class="keywordflow">if</span> (stateRec &amp;&amp; idx &lt; stateRec-&gt;keyStateRecordCount)</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;                    {</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;                        UCKeyStateRecord* rec = reinterpret_cast&lt;UCKeyStateRecord*&gt;(data + stateRec-&gt;keyStateRecordOffsets[idx]);</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;                        <span class="keywordflow">if</span> (rec-&gt;stateZeroCharData == ch) <span class="keywordflow">return</span> k;</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;                    }</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;                }</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;                <span class="keywordflow">else</span> <span class="keywordflow">if</span> (!(keyToChar[k] &amp; kUCKeyOutputSequenceIndexMask) &amp;&amp; keyToChar[k] &lt; 0xFFFE)</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;                {</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;                    <span class="keywordflow">if</span> (keyToChar[k] == ch) <span class="keywordflow">return</span> k;</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;                }</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;            } <span class="comment">// for k</span></div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;        } <span class="comment">// for j</span></div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    } <span class="comment">// for i</span></div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    <span class="keywordflow">return</span> 0;</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;}</div>
<div class="line"><a name="l00225"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcutPrivate.html#a4e526d011d7d5a47c276baab2d49c7ea">  225</a></span>&#160; </div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classQxtGlobalShortcutPrivate.html#a4e526d011d7d5a47c276baab2d49c7ea">QxtGlobalShortcutPrivate::registerShortcut</a>(quint32 nativeKey, quint32 nativeMods)</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;{</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    <span class="keywordflow">if</span> (!qxt_mac_handler_installed)</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    {</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;        EventTypeSpec t;</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;        t.eventClass = kEventClassKeyboard;</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        t.eventKind = kEventHotKeyPressed;</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;        InstallApplicationEventHandler(&amp;<a class="code" href="qxtglobalshortcut__mac_8cpp.html#a3a3b4947ba32ff05d24c310477784013">qxt_mac_handle_hot_key</a>, 1, &amp;t, NULL, NULL);</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;    }</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160; </div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;    EventHotKeyID keyID;</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    keyID.signature = <span class="stringliteral">&#39;cute&#39;</span>;</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    keyID.id = ++hotKeySerial;</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160; </div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    EventHotKeyRef <a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">ref</a> = 0;</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    <span class="keywordtype">bool</span> rv = !RegisterEventHotKey(nativeKey, nativeMods, keyID, GetApplicationEventTarget(), 0, &amp;<a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">ref</a>);</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    <span class="keywordflow">if</span> (rv)</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    {</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;        keyIDs.insert(<a class="code" href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">Identifier</a>(nativeMods, nativeKey), keyID.id);</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;        keyRefs.insert(keyID.id, <a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">ref</a>);</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;    }</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;    <span class="keywordflow">return</span> rv;</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;}</div>
<div class="line"><a name="l00249"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcutPrivate.html#a3e1a1cc674203a92d56965041d39c193">  249</a></span>&#160; </div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classQxtGlobalShortcutPrivate.html#a3e1a1cc674203a92d56965041d39c193">QxtGlobalShortcutPrivate::unregisterShortcut</a>(quint32 nativeKey, quint32 nativeMods)</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;{</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    <a class="code" href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">Identifier</a> id(nativeMods, nativeKey);</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    <span class="keywordflow">if</span> (!keyIDs.contains(<span class="keywordtype">id</span>)) <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160; </div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    EventHotKeyRef <a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">ref</a> = keyRefs.take(keyIDs[<span class="keywordtype">id</span>]);</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;    keyIDs.remove(<span class="keywordtype">id</span>);</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;    <span class="keywordflow">return</span> !UnregisterEventHotKey(<a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">ref</a>);</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a94cfab1e3a0d9aa84c5c13245612efa8"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">QxtGlobalShortcutPrivate::ref</a></div><div class="ttdeci">static int ref</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__p_8h_source.html#l00062">qxtglobalshortcut_p.h:62</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a3e1a1cc674203a92d56965041d39c193"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a3e1a1cc674203a92d56965041d39c193">QxtGlobalShortcutPrivate::unregisterShortcut</a></div><div class="ttdeci">static bool unregisterShortcut(quint32 nativeKey, quint32 nativeMods)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00249">qxtglobalshortcut_mac.cpp:249</a></div></div>
<div class="ttc" id="aqxtglobalshortcut__p_8h_html"><div class="ttname"><a href="qxtglobalshortcut__p_8h.html">qxtglobalshortcut_p.h</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_acc38b238906f0158ebab1dd87791460e"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#acc38b238906f0158ebab1dd87791460e">QxtGlobalShortcutPrivate::nativeKeycode</a></div><div class="ttdeci">static quint32 nativeKeycode(Qt::Key keycode)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00073">qxtglobalshortcut_mac.cpp:73</a></div></div>
<div class="ttc" id="aqxtglobalshortcut__mac_8cpp_html_a29e97a95ec25cafb6cb1494d44178717"><div class="ttname"><a href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">Identifier</a></div><div class="ttdeci">QPair&lt; uint, uint &gt; Identifier</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00037">qxtglobalshortcut_mac.cpp:37</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a9863b3f94a64fcb13bbdcf2853cd1bcd"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a9863b3f94a64fcb13bbdcf2853cd1bcd">QxtGlobalShortcutPrivate::nativeModifiers</a></div><div class="ttdeci">static quint32 nativeModifiers(Qt::KeyboardModifiers modifiers)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00057">qxtglobalshortcut_mac.cpp:57</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a4e526d011d7d5a47c276baab2d49c7ea"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a4e526d011d7d5a47c276baab2d49c7ea">QxtGlobalShortcutPrivate::registerShortcut</a></div><div class="ttdeci">static bool registerShortcut(quint32 nativeKey, quint32 nativeMods)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00225">qxtglobalshortcut_mac.cpp:225</a></div></div>
<div class="ttc" id="aqxtglobalshortcut__mac_8cpp_html_a3a3b4947ba32ff05d24c310477784013"><div class="ttname"><a href="qxtglobalshortcut__mac_8cpp.html#a3a3b4947ba32ff05d24c310477784013">qxt_mac_handle_hot_key</a></div><div class="ttdeci">OSStatus qxt_mac_handle_hot_key(EventHandlerCallRef nextHandler, EventRef event, void *data)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00043">qxtglobalshortcut_mac.cpp:43</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_ab33624dd2ebefa854906fa3ab7298d99"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">QxtGlobalShortcutPrivate::key</a></div><div class="ttdeci">Qt::Key key</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__p_8h_source.html#l00054">qxtglobalshortcut_p.h:54</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_aa9322fac1f86bbbb0ba82a1a150bc0a0"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#aa9322fac1f86bbbb0ba82a1a150bc0a0">QxtGlobalShortcutPrivate::activateShortcut</a></div><div class="ttdeci">static void activateShortcut(quint32 nativeKey, quint32 nativeMods)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00106">qxtglobalshortcut.cpp:106</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
